package com.ruoyi.bst.fault.service;

import java.util.List;

import com.ruoyi.bst.area.domain.AreaQuery;
import com.ruoyi.bst.area.domain.AreaVO;
import com.ruoyi.bst.fault.domain.Fault;
import com.ruoyi.bst.fault.domain.FaultVO;
import com.ruoyi.bst.fault.domain.FaultQuery;
import com.ruoyi.bst.fault.domain.FaultVerifyDTO;

/**
 * 故障Service接口
 *
 * @author ruoyi
 * @date 2025-03-26
 */
public interface FaultService
{
    /**
     * 查询故障
     *
     * @param id 故障主键
     * @return 故障
     */
    public FaultVO selectFaultById(Long id, boolean scope);

    default FaultVO selectFaultById(Long id) {
        return this.selectFaultById(id, false);
    }

    public FaultVO selectOne(FaultQuery query);
    /**
     * 查询故障列表
     *
     * @param fault 故障
     * @return 故障集合
     */
    public List<FaultVO> selectFaultList(FaultQuery fault);

    /**
     * 新增故障
     *
     * @param fault 故障
     * @return 结果
     */
    public int insertFault(Fault fault);

    /**
     * 修改故障
     *
     * @param fault 故障
     * @return 结果
     */
    public int updateFault(Fault fault);

    /**
     * 批量删除故障
     *
     * @param ids 需要删除的故障主键集合
     * @return 结果
     */
    public int deleteFaultByIds(Long[] ids);

    /**
     * 删除故障信息
     *
     * @param id 故障主键
     * @return 结果
     */
    public int deleteFaultById(Long id);

    FaultVO selectFaultByUserId(Long id);

    FaultVO handle(Fault fault);

    public int verify(FaultVerifyDTO dto);

    public int complete(FaultVerifyDTO dto);
}
